Skip to main content
`Ctrl`+`K`

# PetscSpacePointGetPoints

Gets the evaluation points for the space as the points of a quadrature rule

## Synopsis

    #include "petscfe.h"
    #include "petscdt.h"
    PetscErrorCode PetscSpacePointGetPoints(PetscSpace sp, PetscQuadrature *q)

Logically Collective

## Input Parameter

- sp - The `PetscSpace`

## Output Parameter

- q - The `PetscQuadrature` defining the points

## See Also

`PetscSpace`, `PetscQuadrature`, `PetscSpaceCreate()`, `PetscSpaceSetType()`

## Level

intermediate

## Location

src/dm/dt/space/impls/point/spacepoint.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages